<?php
namespace Bitrix\Main\System;

interface IApplicationStrategy
{
	public function preInitialize();
	public function createDatabaseConnection();
	public function initializeContext();
	public function initializeBasicCore();
	public function initializeExtendedCore();
	public function authenticateUser();
	public function authorizeUser();
	public function postInitialize();
}
